package lib

import (
	"ArmedPolice/utils"
	"testing"
)

type (
	structForSysConfig struct {
		ID        uint64 `json:"id"`
		Kind      int    `json:"kind"`
		Name      string `json:"name"`
		Key       string `json:"key"`
		Value     string `json:"value"`
		IsDeleted int    `json:"is_deleted"`
	}
	structForSysMenu struct {
		ID        int    `json:"id"`
		ParentId  int    `json:"parent_id"`
		Name      string `json:"name"`
		Kind      int    `json:"kind"`
		Link      string `json:"link"`
		Component string `json:"component"`
		Icon      string `json:"icon"`
		Auth      int    `json:"auth"`
		Sort      int    `json:"sort"`
		Remark    string `json:"remark"`
		Status    int    `json:"status"`
		IsDeleted int    `json:"is_deleted"`
	}
)

func TestLoadConfig(t *testing.T) {
	values := make([]*structForSysMenu, 0)
	LoadConfig("../json/sys_menu.json", &values)
	t.Log(utils.AnyToJSON(values))
}
